import java.io.File;


/**
 * TODO Put here a description of what this class does.
 *
 * @author Ian Roberts.
 *         Created Mar 25, 2008.
 */
public abstract class Tool extends Brush {
	/**
	 * the x point of a tool
	 */
	protected int x=-1;
	/**
	 * the y point of a tool
	 */
	protected int y=-1;
	/**
	 * the canvas the tool is used on
	 */
	protected Canvas c;
	/**
	 * the generic constructor for all tool classes
	 *
	 * @param s size of the icon length and width
	 * @param f name of the icon file
	 * @param S the name of the tool that appears on the list
	 */
	public Tool(int s, File f, String S){
		super(s,f,S);
		
	}
	/**
	 * this is the method that puts the drawn item onto the canvs for all tools except polygon
	 *
	 */
	public abstract void finish();
	
	/**
	 * returns the x component
	 *
	 * @return the x component
	 */
	public int getX(){
		return this.x;
	}
	/**
	 * returns the y component
	 *
	 * @return the y component
	 */
	public int getY(){
		return this.y;
	}
}
